
# root directory Spittoon will use 
root.dir=rootDir


# eXist database parameter variables 
db.url=xmldb:exist:///db/


db.uname=admin
db.passwd=

# exist environment variables 
exist.initdb=true

exist.home=.
org.xml.sax.features.validation=false
java.endorsed.dirs=lib/endorsed

# needs to be named 'exist' ['aauthdb' desired], otherwise the database stalls with .lck files
# db-1-port=8081
db-1-config=confAauth.xml
db-1-id=exist
db-1-port=8080

# should we split the DB into 2 (aauthentication & groups)
db-split=false

# db-2-config=confGroups.xml
# db-2-id=groupsdb
db-2-config=confAauth.xml
db-2-id=exist
db-2-port=8080


# bob environment variables
bob.home=/Users/timothyw/Projects/Bookkeeping
bob.base=/Users/timothyw/Projects/Bookkeeping
bob.gen=/Users/timothyw/Projects/Bookkeeping/gen
bob.end=.xml
bob.def=/Users/timothyw/Projects/Bookkeeping/xml/bookkeeping.system.xml

# mappings 
mapping.system=/system
mapping.filler.1=/system/aauthentication
mapping.filler.2=/system/aauthentication/groups
mapping.aauth.group=/system/aauthentication/groups/group
mapping.filler.3=/system/aauthentication/users
mapping.aauth.user=/system/aauthentication/users/user
mapping.filler.4=/system/groups
mapping.group.group=/system/groups/group
mapping.filler.5=/system/groups/group/bookkeeping
mapping.group.accounts=/system/groups/group/bookkeeping/accounts
mapping.group.journals=/system/groups/group/bookkeeping/journals
mapping.group.journal=/system/groups/group/bookkeeping/journals/journal
mapping.filler.6=/system/groups/group/bookkeeping/journals/journal/entries
mapping.group.entry=/system/groups/group/bookkeeping/journals/journal/entries/entry
